/*------------------------------------------------------------
 * Buttons
 * .button is MANDATORY
 * .button--XXX is a modifier
 *------------------------------------------------------------*/

.button {
	position: relative;
	display: inline-block;
	z-index: 1;
	max-width: 100%;
	height: 50px;
	padding: 0 30px;
	line-height: 50px !important;
	.label;
	overflow: hidden;
	color: @white;
	background: @primary-color;
	.rounded;

	&:hover {
		background: @black;
		color: @white;
	}

	i {
		margin: 0 10px;
	}

	& + .button {
		margin-top: 10px;

		@media @tablet, @desktop {
			margin-left: 20px;
			margin-top: 0;
		}
	}

	.dark-mode &:hover {
		background: @white;
		color: @black;
	}

}



/* Button Small Modifier
*------------------------------------------------------------*/

.button--small {
	.label;
	height: 27px;
	line-height: 27px !important;
	padding: 0 10px;
}



/* Button Disabled Modifier
 *------------------------------------------------------------*/

.button--disabled {
	opacity: 0.2 !important;
	pointer-events: none;
}



/* Button Width Modifier
 *------------------------------------------------------------*/

.button--wide {
	width: 100%;
	text-align: center;
	padding-left: 0;
	padding-right: 0;
}

.button--semiwide {
	padding-left: 2.5em;
	padding-right: 2.5em;
}



/* Button Color Modifiers: Default
 * double class ensures higher specificity
 *------------------------------------------------------------*/

.button--black {
	color: @white;
	background: @black !important;

	&:hover {
		color: @white;
		background: @primary-color !important;
	}
}

.button--grey {
	color: @black;
	background: @grey-pale !important;

	&:hover {
		color: @white;
		background: @primary-color !important;
	}
}

.button--white {
	color: @black;
	background: @white !important;

	&:hover {
		color: @black;
		background: @grey-light !important;
	}
}

.button--empty {
	color: @black;
	background: none !important;

	&:hover {
		color: @grey;
	}
}

.button--border {
	color: @black;
	background: transparent !important;
	border: 1px solid @black;

	&:hover {
		color: @white;
		background: @black !important;
	}
}
